Package twisted :: Package protocols :: Module loopback :: Class LoopbackRelay

[frames | no frames]

## Class LoopbackRelay

Method Summary
| `__init__(self, target, logFile)`
| `clearBuffer(self)`
| `getHost(self)`
| `getPeer(self)`
| `loseConnection(self)`
| `registerProducer(self, producer, streaming)`
| `unregisterProducer(self)`
| `write(self, data)`
| `writeSequence(self, iovec)`

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.ITr...`
`str` | `buffer` = `''`
`int` | `disconnecting` = 0
`NoneType` | `producer` = None
`int` | `shouldLose` = 0

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.internet.interfaces.ITransport at 0x8254024>,
         <class twisted.internet.interfaces.IConsumer at 0x824feb4>)

### buffer

  Type:
    `str`
  Value:

        ''

### disconnecting

  Type:
    `int`
  Value:

        0

### producer

  Type:
    `NoneType`
  Value:

        None

### shouldLose

  Type:
    `int`
  Value:

        0

Generated by Epydoc 2.0 on Sat May 15 20:08:40 2004 | http://epydoc.sf.net